MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- File List
- Globals

Namespaces | Functions
MyGUI_ActionController.h File Reference
`#include "MyGUI_Prerequest.h"`
`#include "MyGUI_Types.h"`
`#include <math.h>`

Go to the source code of this file.

## Namespaces
| MyGUI
| MyGUI::action

## Functions
void | MyGUI::action::actionWidgetHide (Widget *_widget, ControllerItem *_controller)
void | MyGUI::action::actionWidgetShow (Widget *_widget, ControllerItem *_controller)
void | MyGUI::action::actionWidgetDestroy (Widget *_widget, ControllerItem *_controller)
void | MyGUI::action::linearMoveFunction (const IntCoord &_startRect, const IntCoord &_destRect, IntCoord &_result, float _k)
template<int N>
void | MyGUI::action::acceleratedMoveFunction (const IntCoord &_startRect, const IntCoord &_destRect, IntCoord &_result, float _current_time)
template<int N>
void | MyGUI::action::jumpMoveFunction (const IntCoord &_startRect, const IntCoord &_destRect, IntCoord &_result, float _current_time)
void | MyGUI::action::inertionalMoveFunction (const IntCoord &_startRect, const IntCoord &_destRect, IntCoord &_result, float _current_time)